﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace marathon3_2013
{
  abstract class ServiceBase
  {
    public abstract void Init(int seed);
    public abstract int getRowCount();
    public abstract int getColumnCount();
    public abstract int getQueryCount();
    public abstract string[] getField();

    public abstract string nextWord();
    public abstract string[] skip();
    public abstract void relocate(int from_x, int from_y, int to_x, int to_y);
    public abstract bool placeWord(int x, int y, bool vertical);
    public abstract int EndGame(out long time);
  }
}
