﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace marathon3_2013
{
  class WebService : ServiceBase
  {
    private Crossword.MyServiceClient client;
    public override void Init(int seed)
    {
      client = new Crossword.MyServiceClient();
      client.Init(seed);
    }

    public override int getRowCount()
    {
      return client.getRowCount();
    }
    public override int getColumnCount()
    {
      return client.getColumnCount();
    }
    public override int getQueryCount()
    {
      return client.getQueryCount();
    }
    public override string[] getField() 
    {
      return client.getField();
    }

    public override string nextWord()
    {
      return client.nextWord();
    }

    public override string[] skip()
    {
      return client.skip();
    }

    public override void relocate(int from_x, int from_y, int to_x, int to_y)
    {
      client.relocate(from_x, from_y, to_x, to_y);
    }

    public override bool placeWord(int x, int y, bool vertical)
    {
      return client.placeWord(x, y, vertical);
    }

    public override int EndGame(out long time)
    {
      return client.EndGame(out time);
    }
  }
}
